<style>
  @media only screen and (min-width: 768px) and (max-width: 1024px) {
    .responsive-tab {
      max-width: 100% !important;
      margin: auto !important
    }

    .kecilkan-tab {
      padding-bottom: 200px !important;
    }
  }
</style>

<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>

<div id="pcoded" (window:resize)="onResize($event)" class="pcoded iscollapsed" theme-layout="vertical" vertical-placement="left"
  vertical-layout="wide" [attr.pcoded-device-type]="deviceType" [attr.vertical-nav-type]="verticalNavType" [attr.vertical-effect]="verticalEffect"
  vnavigation-view="view1">
  <div class="pcoded-overlay-box"></div>
  <div class="pcoded-container navbar-wrapper">
    <nav class="navbar header-navbar pcoded-header" header-theme="theme1" pcoded-header-position="fixed">
      <div class="navbar-wrapper">
        <div class="navbar-logo" navbar-theme="theme5">
          <a class="mobile-menu" id="mobile-collapse" href="javascript:;" [exclude]="'#main_navbar'" (clickOutside)="onClickedOutside($event)">
            <i class="ti-menu"></i>
          </a>
          <a [routerLink]="['/register']" style="margin-left:20px">
            <img class="img-fluid" src="assets/images/logo4.png" alt="Theme-Logo" />
          </a>
          <a (click)="onMobileMenu()" class="mobile-options">
            <i class="ti-more"></i>
          </a>
        </div>
        <div class="navbar-container">
          <div>
            <ul [@mobileMenuTop]="isCollapsedMobile" class="nav-right" [ngClass]="isCollapsedMobile" style="margin-right: 20px">
              <!-- <li class="header-notification lng-dropdown" style="color: white">{{'general.choose_language' | translate}}
                <a href="javascript:;" id="dropdown-active-item">
                  <i class="fa fa-language"></i>
                  <span>{{ActiveLang}}</span>
                  <i class="ti-angle-down"></i>
                </a>
                <ul class="show-notification" style="height: 300px; overflow-x: scroll">
                  <li *ngFor="let lang of translate.getLangs()" [class.selected]="lang === translate.currentLang">
                    <a href="javascript:;" data-lng="id" (click)="setLanguage(lang.KeyValue);getKeyLang(lang.Key)">
                      {{lang.KeyValue}}
                    </a>
                  </li>
                </ul>
              </li> -->
            </ul>
          </div>
        </div>
      </div>
    </nav>

    <section class="login p-fixed d-flex text-center bg-primary common-img-bg2">
      <div class="auth-fluid ">
        <div class="row">
          <div class="col-md-6 col-sm-12 responsive-tab">
            <div class="login-card card-body auth-body col-sm-6" style="margin: 0 auto;">
              <form class="md-float-material" [formGroup]="registerstudent" (ngSubmit)="onSubmit()">
                <div class="text-center">
                  <img src="assets/images/auth/logo2.png" alt="logo2.png">
                </div>
                <div class="auth-box">
                  <div class="row ">
                    <div class="col-md-12">
                      <h3 class="text-left txt-primary">{{'login_register.register' | translate}}</h3>
                    </div>
                  </div>
                  <hr/>
                  <div class="form-group text-left text-dark">
                    <ng2-completer [textSearching]="'Please wait...'" [textNoResults]="'The courseId you entered is not found, please contact your instructor'" [(ngModel)]="courseId" [datasource]="dataService1"
                      [minSearchLength]="2" [inputClass]="['form-control']" (selected)="onSelected($event)" [matchClass]="completer-description"
                      formControlName="CourseId" placeholder="Type CourseID here..." [clearUnselected]="true" [disableInput]="disableVal" [selectOnClick]="true"></ng2-completer>
                    <!-- <span class="messages text-danger" *ngIf="!isExist">* The courseId you entered is not found, please contact your instructor</span> -->
                    <!-- <span class="messages text-danger" *ngIf="!isExpired">* The CourseID you entered has expired</span> -->
                    <span class="messages text-danger" *ngIf="isFinal">* The CourseID you entered has been completed</span>
                  </div>
                  <div class="form-group text-left text-dark" *ngIf="showSelected">{{CourseSelected}}</div>
                  <div class="form-group text-left text-dark">
                    <input type="text" class="form-control" id="FirstName" formControlName="FirstName" placeholder="{{'login_register.your_first_name' | translate}}">
                    <span class="messages text-danger" *ngIf="!registerstudent.get('FirstName').valid && registerstudent.get('FirstName').touched">* Please Enter First Name</span>
                  </div>
                  <div class="form-group text-left text-dark">
                    <input type="text" class="form-control" id="LastName" formControlName="LastName" placeholder="{{'login_register.your_last_name' | translate}}">
                    <span class="messages text-danger" *ngIf="!registerstudent.get('LastName').valid && registerstudent.get('LastName').touched">* Please Enter Last Name</span>
                  </div>
                  <div class="form-group text-left text-dark">
                    <input type="email" class="form-control" id="EmailAddress" formControlName="EmailAddress" placeholder="{{'login_register.your_email' | translate}}"
                      (change)="checkEmailDuplicate($event.target.value)">
                    <span class="messages text-danger" *ngIf="!registerstudent.get('EmailAddress').valid && registerstudent.get('EmailAddress').touched">* Please Enter Primary Email Address</span>
                    <span class="messages text-danger" *ngIf="!validemail">* Email Address Already Exist</span>
                  </div>
                  <div class="form-group text-left text-dark">
                      <input type="email" class="form-control" id="EmailAddress2" formControlName="EmailAddress2" placeholder="Secondary Email Address"
                        (change)="checkEmailDuplicate($event.target.value)">
                      <span class="messages text-danger" *ngIf="!registerstudent.get('EmailAddress2').valid && registerstudent.get('EmailAddress2').touched">* Secondary Email Address must be diferent with Primary Email Address</span>
                  </div>
                  <!-- <div class="form-group text-left text-dark">
                          <input type="email" class="form-control" id="ConfirmEmailAddress" formControlName="ConfirmEmailAddress" placeholder="Confirm Your Email Address">
                          <span class="messages text-danger" *ngIf="!registerstudent.get('ConfirmEmailAddress').valid && registerstudent.get('ConfirmEmailAddress').touched">* Please Enter Confirm Email Address</span>
                        </div> -->
                  <!-- <div class="form-group text-left text-dark">
                    <input type="password" class="form-control" id="password" formControlName="password" placeholder="Your Password">
                    <span class="messages text-danger" *ngIf="!registerstudent.get('password').valid && registerstudent.get('password').touched">* Password min length 6 and must be use at least
                      <br/>1 number and 1 special character</span>
                  </div>
                  <div class="form-group text-left text-dark">
                    <input type="password" class="form-control" id="rpassword" formControlName="rpassword" placeholder="Repeat Password">
                    <span class="messages text-danger" *ngIf="!registerstudent.get('rpassword').valid && registerstudent.get('rpassword').touched">* Please Repeat Password</span>
                  </div> -->
                  <div class="form-group text-left text-dark">
                    <select class="form-control" id="Country" formControlName="Country" formControlName="Country">
                      <option value="">{{'login_register.select_your_country' | translate}}</option>
                      <option *ngIf="datacountry==null">{{'general.loading' | translate}} ...</option>
                      <option *ngIf="datacountry==''">{{'general.data_empty' | translate}}</option>
                      <option *ngFor="let item of datacountry" value={{item.countries_code}}>{{item.countries_name}}</option>
                    </select>
                    <span class="messages text-danger" *ngIf="!registerstudent.get('Country').valid && registerstudent.get('Country').touched">* Please Enter Country</span>
                  </div>
                  <div class="form-group text-left text-dark">
                    <select name="LanguageID" id="LanguageID" class="form-control" formControlName="LanguageID">
                      <option value="">{{'login_register.select_language' | translate}}</option>
                      <option *ngFor="let item of language" value="{{item.Key}}">{{item.KeyValue}}</option>
                    </select>
                  </div>
                  <div class="form-group text-left text-dark">
                    <div class="checkbox-fade fade-in-primary">
                        <label>
                            <input type="checkbox" (change)="onChange($event.target.checked)">
                            <span class="cr">
                                <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                            </span>
                            &nbsp; Are you Student?
                        </label>
                    </div>
                  </div> 
                  <div class="form-group text-left text-dark" *ngIf="ifStudent">
                    <div class="form-inline">
                      <div class="form-group">
                        <div class="input-group">
                          <input class="form-control" placeholder="{{'login_register.your_date_birth' | translate}}" name="dp1" [(ngModel)]="modelPopup1"
                            ngbDatepicker #d1="ngbDatepicker" readonly="true" id="DateBirth" formControlName="DateBirth" [minDate]="minDate"
                            [maxDate]="maxDate" disabled>
                          <div class="input-group-addon bg-default" (click)="d1.toggle()">
                            <span class="icofont icofont-ui-calendar"></span>
                          </div>
                        </div>
                        <!-- <span class="messages text-danger" *ngIf="!registerstudent.get('DateBirth').valid && registerstudent.get('DateBirth').touched">* Please Enter Date Birth</span> -->
                        <span class="messages text-danger" *ngIf="!validDateBirth">* Your age should be more than 16 years old to register as a student</span>
                      </div>
                    </div>
                  </div>
                  <div class="row m-t-20">
                    <div class="col-md-12">
                      <button type="submit" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20">{{'login_register.btn_register' | translate}}!</button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>

          <div class="col-md-6 col-sm-12 responsive-tab">
            <div class="login-card card-body auth-body kecilkan-tab" style="
                  background-color: #ffffff;
                  border-radius: 8px;
                  padding-bottom: 320px;
                  margin: 65px 0 10px 0;">
              <div style="color: #383636;font-size: 28px;text-align: left;font-weight: inherit;">
                {{'login_register.info_student1' | translate}}
                <br/>
                <br/>
              </div>
              <div style="color: #383636;font-size: 18px;text-align: left;font-weight: inherit;">
                <strong>{{'login_register.info_admin3' | translate}} &
                  <br/>{{'login_register.info_admin4' | translate}}</strong>
                <br/>
                <br/> {{'login_register.info_admin5' | translate}}
                <br/>{{'login_register.info_admin6' | translate}}
                <br/> {{'login_register.info_admin7' | translate}}.
                <br/>
              </div>
            </div>
          </div>
        </div>
        <div class="text-bottom" style="color: black;bottom: 20px; margin: 0 auto; width: 50%; font-weight: 600;">
          <a href="https://www.autodesk.com/company/legal-notices-trademarks/privacy-statement" target="_blank"> Privacy </a> |
          <a href="https://www.autodesk.com/company/legal-notices-trademarks" target="_blank"> Legal Notices & Trademark </a> | © Copyright 2018 Autodesk, Inc. All right reserved.
        </div>
      </div>
    </section>
  </div>
</div>